Abstract class for event handling.

class

  Events

### Hierarchy

- Events
  - Layer
  - Map
  - LabelLayer
  - PoiLayer

## Index

### Properties

- events

### Methods

- off
- on

## Properties

### Static Private events

events: any

- Defined in Events.ts:12

## Methods

### off

- off(event?: string, listener?: any): Events

- - Defined in Events.ts:24

  Remove an event listener.

  #### Parameters

  - ##### Optional event: string

    Event type. If none is specified, remove all listeners.

  - ##### Optional listener: any

    Function to be removed. If none specified, remove all listeners.

  #### Returns Events

### on

- on(event: string, listener: any): Events

- - Defined in Events.ts:18

  Subscribe to a specified event with a listener function.

  #### Parameters

  - ##### event: string

    Event type

  - ##### listener: any

    Function to be called when the event is fired

  #### Returns Events

Generated using TypeDoc